:root {
    --clr-dark-cyan: hsl(185, 75%, 39%);
    --clr-very-dark-desaturated-blue: hsl(229, 23%, 23%);
    --clr-dark-grayish-blue: hsl(227, 10%, 46%);
    --clr-darkgray: hsl(0, 0%, 59%);
    --clr-white: hsl(0, 0%, 100%);

    --ff-default: "Kumbh Sans", sans-serif;

    --fw-regular: 400;
    --fw-bold: 700;
}

body {
    background-color: var(--clr-dark-cyan);
    font-family: var(--ff-default);
    font-size: 0.6875rem;
    font-weight: var(--fw-regular);
    color: var(--clr-darkgray);
    height: 100vh;
    overflow: hidden;
}

.container {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.bg-balloon__top{
    background-image: url(../images/bg-pattern-top.svg);
    background-size: contain;
    background-repeat: no-repeat;
    width: 61.125rem;
    height:61.125rem;
    position: absolute;
    top: -66%;
    right: 52%;
    z-index: -99;
}

.bg-balloon__bottom {
    background-image: url(../images/bg-pattern-bottom.svg);
    background-size: contain;
    background-repeat: no-repeat;
    width: 61.125rem;
    height:61.125rem;
    position: absolute;
    bottom: -84%;
    left: 48%;
    z-index: -99;
}

.card {
    background-color: var(--clr-white);
    border-radius: 1rem;
    text-align: center;
    overflow: hidden;
}

.card__content {
    position: relative;
}

.card__content__image {
    width: 5.9375rem;
    border: 0.3125rem solid var(--clr-white);
    border-radius: 3.125rem;
    position: absolute;
    left: 50%;
    top: -3rem;
    transform: translateX(-50%);
    overflow: hidden;
}

.card__content {
    padding: 4.0625rem 0 1.25rem;
}

.card__content__name,
.card__footer__stats__number {
    font-size: 1.125rem;
    font-weight: var(--fw-bold);
    color: var(--clr-very-dark-desaturated-blue);
}

.card__content__age {
    font-weight: var(--fw-regular);
    color: var(--clr-darkgray);
}

.card__footer {
    padding: 1.25rem 1.875rem;
    border-top: 0.0625rem solid hsla(0, 0%, 59%, 0.304);
}

.card__footer__list {
    list-style: none;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card__footer__stats {
    flex: 1;
}

.card__footer__stats__number,
.card__footer__stats__description {
    display: block;
}

@media (max-width: 380px) {

    .container {
        padding: 0 1.25rem;
    }

    .bg-balloon__top{
        background-image: url(../images/bg-pattern-top.svg);
        background-size: contain;
        background-repeat: no-repeat;
        width: 61.125rem;
        height:61.125rem;
        position: absolute;
        top: -82%;
        right: 50%;
        z-index: -99;
    }
    
    .bg-balloon__bottom {
        background-image: url(../images/bg-pattern-bottom.svg);
        background-size: contain;
        background-repeat: no-repeat;
        width: 61.125rem;
        height:61.125rem;
        position: absolute;
        bottom: -94%;
        left: 36%;
        z-index: -99;
    }
}